/**
 * 
 */
package com.objectbay.switchyard.example;

import java.math.BigDecimal;

import javax.inject.Inject;

import junit.framework.Assert;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.Archive;
import org.junit.Test;
import org.junit.runner.RunWith;

import com.objectbay.switchyard.example.routing.PriceRouterService;

/**
 * @author Christoph Gostner <christoph.gostner@objectbay.com>
 *
 */
@RunWith(Arquillian.class)
public class RoutingTest extends IntegrationTest {

	@Deployment
	public static Archive<?> getDeployment() {
		return createSimpleDeployment(RoutingTest.class);
	}
	
@Inject
PriceRouterService service;
@Test
public void testRoutingService() {
	BigDecimal result = service.setPrice(BigDecimal.ONE);
	Assert.assertEquals(new BigDecimal(2), result);
}
}
