/**
 * 
 */
package com.objectbay.switchyard.example.routing;

import java.math.BigDecimal;

import javax.inject.Named;

import org.switchyard.component.bean.Service;

/**
 * @author Christoph Gostner <christoph.gostner@objectbay.com>
 *
 */
@Named(PriceRouterServiceImpl.SERVICE_NAME)
@Service(value = PriceRouterService.class, name = PriceRouterServiceImpl.SERVICE_NAME)
public class PriceRouterServiceImpl implements PriceRouterService {
	public static final String SERVICE_NAME = "PriceRouterServiceImpl";

	@Override
	public BigDecimal setPrice(BigDecimal price) {
		return price.add(BigDecimal.ONE);
	}

}
