/**
 * 
 */
package com.objectbay.switchyard.example.ws;

import javax.ejb.Stateless;
import javax.inject.Inject;
import javax.jws.WebService;

import org.switchyard.component.bean.Reference;

import com.objectbay.switchyard.example.routing.PriceRouterServiceImpl;

/**
 * @author Christoph Gostner <christoph.gostner@objectbay.com>
 *
 */
@Stateless
@WebService
public class TestWs {

	@Inject
	@Reference(PriceRouterServiceImpl.SERVICE_NAME)
	WsRoutingService service;
	
	public WsPrice setPrice(WsPrice price) {
		return service.setPrice(price);
	}
}
