/**
 * 
 */
package com.objectbay.switchyard.example.transformer;

import java.math.BigDecimal;

import org.switchyard.annotations.Transformer;

import com.objectbay.switchyard.example.ws.WsPrice;

/**
 * @author Christoph Gostner <christoph.gostner@objectbay.com>
 *
 */
public class Ws2RoutingTransformer {
	@Transformer
	public WsPrice routing2Ws(BigDecimal decimal) {
		return new WsPrice(decimal);
	}
	@Transformer
	public BigDecimal ws2Routing(WsPrice price) {
		return price.getPrice();
	}
}
